【友盟+】开发者社区

使用增量更新时,只有arm的so文件,怎样支持x86和mips?

push更新 发表于 2016-3-18 16:52:09 |

push更新
push更新 发表于 2014-11-4 11:41:42 | 显示全部楼层 |阅读模式
因为目前手机主要使用的还是arm的CPU,所以默认只有arm的so文件,如果需要其他的so文件,请点这里.:
https://github.com/umeng/umeng-android-sdk-theme/tree/master/update/libs






上一篇:自动更新是如何判断有新版本的?
下一篇:【紧急】增量更新程序无法安装,崩溃!!!


77
77 发表于 2015-2-20 15:34:50 | 显示全部楼层
顶.......
Android新手

じhey痞Orz
匿名开发者  发表于 2015-3-14 09:57:32

hehec
hehec 发表于 2015-5-11 16:01:12 | 显示全部楼层
如果没有放入其他cpu的.so   其他架构cpu的手机运行起来会不会崩溃?
更新模块内部有做判断吗?

StormSu
StormSu 发表于 2016-3-18 16:52:09 | 显示全部楼层
umeng-update-v2.6.0.1
找不到 libbspatch.so 崩溃,是客户发来的图片,无法得知手机情况,猜测是arm64-v8a架构的
QQ图片20160318164910.jpg
您需要登录后才可以发帖 登录 | 立即注册

本版积分规则

发表主题

精彩推荐

【报错必看】微信您的应用签名不正确,请去微信后台确认
微信如果提示这个错误,请查看debug日志: 箭头所指的为你当前应用的签名及包名,然后打开你的微信后台
无法检测设备有效性
无法检测设备有效性
自定义事件有消息数量,却看不到详情
集成都是OK的,能看到自定义事件的消息数量。却看不到详细的详情。 总是显示数据无法加载,稍后重试。

关注我们

新浪微博
微信

欢迎关注友盟官方微博微信!

在线客服
返回顶部 返回列表